NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SectionCurveBuilder Class Reference

Represents a NXOpen::Features::SectionCurve builder. More...

Inheritance diagram for NXOpen::Features::SectionCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PlaneType { PlaneTypeSelected, PlaneTypeParallel, PlaneTypeRadial, PlaneTypePerpendicularToCurve }
 Represents section plane type. More...
 
enum  SpacingType {
  SpacingTypeEqualArcLength, SpacingTypeEqualParameterSpacing, SpacingTypeGeometricProgressionSpacing, SpacingTypeChordalToleranceSpacing,
  SpacingTypeIncrementalArclengthSpacing
}
 Represents spacing type. More...
 

Public Member Functions

bool Associative ()
 Returns the associativity
Created in NX5.0.0. More...
 
NXOpen::ISurfaceBasePlane ()
 Returns the base plane
Created in NX5.0.0. More...
 
double ChordalTolerance ()
 Returns the chordal tolerance
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fit settings
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::CurveFitJoinCurveFitJoinOptions ()
 Returns the curve fit join option. More...
 
NXOpen::SelectObjectCurveForPerpendicularPlane ()
 Returns the curve for perpendicular to curve type
Created in NX5.0.0. More...
 
double EndAngle ()
 Returns the end angle
Created in NX5.0.0. More...
 
double EndDistance ()
 Returns the the end distance
Created in NX5.0.0. More...
 
double EndPercentage ()
 Returns the end percentage. More...
 
std::vector< NXOpen::Group * > GetOutputGroups ()
 Gets the output groups for non-associated output curve. More...
 
bool GroupObjects ()
 Returns the grouping
Created in NX5.0.0. More...
 
double Increment ()
 Returns the increment
Created in NX5.0.0. More...
 
int NumberOfCopies ()
 Returns the number of copies
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListObjectsToSection ()
 Returns the selected objects
Created in NX5.0.0. More...
 
bool OutputPoints ()
 Returns the output points
Created in NX5.0.0. More...
 
NXOpen::PointRadialPlanePoint ()
 Returns the point for radial plane type
Created in NX5.0.0. More...
 
NXOpen::DirectionRadialPlaneVector ()
 Returns the vector for radial plane type
Created in NX5.0.0. More...
 
double Ratio ()
 Returns the ratio
Created in NX5.0.0. More...
 
double SampleDistance ()
 Returns the sample distance
Created in NX5.0.0. More...
 
NXOpen::PlaneSectionPlane ()
 Returns the plane
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListSectionPlanes ()
 Returns the selected planes
Created in NX5.0.0. More...
 
void SetAssociative (bool associative)
 Sets the associativity
Created in NX5.0.0. More...
 
void SetBasePlane (NXOpen::ISurface *basePlane)
 Sets the base plane
Created in NX5.0.0. More...
 
void SetChordalTolerance (double chordalTolerance)
 Sets the chordal tolerance
Created in NX5.0.0. More...
 
void SetEndAngle (double endAngle)
 Sets the end angle
Created in NX5.0.0. More...
 
void SetEndDistance (double endDistance)
 Sets the the end distance
Created in NX5.0.0. More...
 
void SetEndPercentage (double endPercentage)
 Sets the end percentage. More...
 
void SetGroupObjects (bool groupObjects)
 Sets the grouping
Created in NX5.0.0. More...
 
void SetIncrement (double increment)
 Sets the increment
Created in NX5.0.0. More...
 
void SetNumberOfCopies (int numberOfCopies)
 Sets the number of copies
Created in NX5.0.0. More...
 
void SetOutputPoints (bool outputPoints)
 Sets the output points
Created in NX5.0.0. More...
 
void SetRadialPlanePoint (NXOpen::Point *radialPlanePoint)
 Sets the point for radial plane type
Created in NX5.0.0. More...
 
void SetRadialPlaneVector (NXOpen::Direction *radialPlaneVector)
 Sets the vector for radial plane type
Created in NX5.0.0. More...
 
void SetRatio (double ratio)
 Sets the ratio
Created in NX5.0.0. More...
 
void SetSampleDistance (double sampleDistance)
 Sets the sample distance
Created in NX5.0.0. More...
 
void SetSectionPlane (NXOpen::Plane *sectionPlane)
 Sets the plane
Created in NX5.0.0. More...
 
void SetSpacingAlongCurveType (NXOpen::Features::SectionCurveBuilder::SpacingType spacingAlongCurve)
 Sets the type of spacing. More...
 
void SetStartAngle (double startAngle)
 Sets the start angle
Created in NX5.0.0. More...
 
void SetStartDistance (double startDistance)
 Sets the the start distance
Created in NX5.0.0. More...
 
void SetStartPercentage (double startPercentage)
 Sets the start percentage. More...
 
void SetStepAngle (double stepAngle)
 Sets the step angle
Created in NX5.0.0. More...
 
void SetStepDistance (double stepDistance)
 Sets the step distance
Created in NX5.0.0. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::SectionCurveBuilder::PlaneType type)
 Sets the type of the section curve builder. More...
 
NXOpen::Features::SectionCurveBuilder::SpacingType SpacingAlongCurveType ()
 Returns the type of spacing. More...
 
double StartAngle ()
 Returns the start angle
Created in NX5.0.0. More...
 
double StartDistance ()
 Returns the the start distance
Created in NX5.0.0. More...
 
double StartPercentage ()
 Returns the start percentage. More...
 
double StepAngle ()
 Returns the step angle
Created in NX5.0.0. More...
 
double StepDistance ()
 Returns the step distance
Created in NX5.0.0. More...
 
double Tolerance ()
 Returns the tolerance
Created in NX5.0.0. More...
 
NXOpen::Features::SectionCurveBuilder::PlaneType Type ()
 Returns the type of the section curve builder. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SectionCurve builder.

Inputs to this class can be convergent objects.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSectionCurveBuilder
Default values.

Property Value

Associative

True

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitJoinOptions.CurveFitOptions.FitOption

Cubic

CurveFitJoinOptions.CurveFitOptions.MaximumDegree

7

CurveFitJoinOptions.CurveFitOptions.MaximumSegments

1

EndAngle

20.0

EndDistance

10.0 (millimeters part), 0.5 (inches part)

EndPercentage

100.0

GroupObjects

False

Increment

5.0 (millimeters part), 0.25 (inches part)

NumberOfCopies

2

OutputPoints

False

Ratio

1.0

SampleDistance

1.0 (millimeters part), 0.04 (inches part)

SpacingAlongCurveType

EqualArcLength

StartAngle

0.0

StartDistance

0.0 (millimeters part), 0.0 (inches part)

StartPercentage

0.0

StepAngle

10.0

StepDistance

5.0 (millimeters part), 0.25 (inches part)

Type

Selected


Created in NX5.0.0.

Member Enumeration Documentation

Represents section plane type.

Enumerator
PlaneTypeSelected 

Planes are selected (not specified by one of the following methods)

PlaneTypeParallel 

Set of planes parallel to a base plane.

PlaneTypeRadial 

Set of planes radiating from a base plane.

PlaneTypePerpendicularToCurve 

Set of planes perpendicular to a curve.

Represents spacing type.

Enumerator
SpacingTypeEqualArcLength 

Equal arclength spacing.

SpacingTypeEqualParameterSpacing 

Equal parameter spacing.

SpacingTypeGeometricProgressionSpacing 

Geometric progression spacing.

SpacingTypeChordalToleranceSpacing 

Chordal tolerance spacing.

SpacingTypeIncrementalArclengthSpacing 

Incremental arclength spacing.

Member Function Documentation

bool NXOpen::Features::SectionCurveBuilder::Associative ( )

Returns the associativity
Created in NX5.0.0.



License requirements : None

NXOpen::ISurface* NXOpen::Features::SectionCurveBuilder::BasePlane ( )

Returns the base plane
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::ChordalTolerance ( )

Returns the chordal tolerance
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::SectionCurveBuilder::CurveFitData ( )

Returns the curve fit settings
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitJoin* NXOpen::Features::SectionCurveBuilder::CurveFitJoinOptions ( )

Returns the curve fit join option.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::SectionCurveBuilder::CurveForPerpendicularPlane ( )

Returns the curve for perpendicular to curve type
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::EndAngle ( )

Returns the end angle
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::EndDistance ( )

Returns the the end distance
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::EndPercentage ( )

Returns the end percentage.


Created in NX5.0.0.

License requirements : None

std::vector<NXOpen::Group *> NXOpen::Features::SectionCurveBuilder::GetOutputGroups ( )

Gets the output groups for non-associated output curve.

Returns

Created in NX8.0.0.

License requirements : None
bool NXOpen::Features::SectionCurveBuilder::GroupObjects ( )

Returns the grouping
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::Increment ( )

Returns the increment
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::SectionCurveBuilder::NumberOfCopies ( )

Returns the number of copies
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::SectionCurveBuilder::ObjectsToSection ( )

Returns the selected objects
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::SectionCurveBuilder::OutputPoints ( )

Returns the output points
Created in NX5.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::SectionCurveBuilder::RadialPlanePoint ( )

Returns the point for radial plane type
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::SectionCurveBuilder::RadialPlaneVector ( )

Returns the vector for radial plane type
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::Ratio ( )

Returns the ratio
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::SampleDistance ( )

Returns the sample distance
Created in NX5.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::SectionCurveBuilder::SectionPlane ( )

Returns the plane
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::SectionCurveBuilder::SectionPlanes ( )

Returns the selected planes
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::SectionCurveBuilder::SetAssociative ( bool  associative)

Sets the associativity
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::SectionCurveBuilder::SetBasePlane ( NXOpen::ISurface basePlane)

Sets the base plane
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
basePlanebase plane
void NXOpen::Features::SectionCurveBuilder::SetChordalTolerance ( double  chordalTolerance)

Sets the chordal tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
chordalTolerancechordal tolerance
void NXOpen::Features::SectionCurveBuilder::SetEndAngle ( double  endAngle)

Sets the end angle
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
endAngleend angle
void NXOpen::Features::SectionCurveBuilder::SetEndDistance ( double  endDistance)

Sets the the end distance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
endDistanceend distance
void NXOpen::Features::SectionCurveBuilder::SetEndPercentage ( double  endPercentage)

Sets the end percentage.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
endPercentageend percentage
void NXOpen::Features::SectionCurveBuilder::SetGroupObjects ( bool  groupObjects)

Sets the grouping
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
groupObjectsgroup objects
void NXOpen::Features::SectionCurveBuilder::SetIncrement ( double  increment)

Sets the increment
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
incrementincrement
void NXOpen::Features::SectionCurveBuilder::SetNumberOfCopies ( int  numberOfCopies)

Sets the number of copies
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
numberOfCopiesnumberofcopies
void NXOpen::Features::SectionCurveBuilder::SetOutputPoints ( bool  outputPoints)

Sets the output points
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
outputPointsoutput points
void NXOpen::Features::SectionCurveBuilder::SetRadialPlanePoint ( NXOpen::Point radialPlanePoint)

Sets the point for radial plane type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radialPlanePointradial plane point
void NXOpen::Features::SectionCurveBuilder::SetRadialPlaneVector ( NXOpen::Direction radialPlaneVector)

Sets the vector for radial plane type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radialPlaneVectorradial plane vector
void NXOpen::Features::SectionCurveBuilder::SetRatio ( double  ratio)

Sets the ratio
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ratioratio
void NXOpen::Features::SectionCurveBuilder::SetSampleDistance ( double  sampleDistance)

Sets the sample distance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sampleDistancesample distance
void NXOpen::Features::SectionCurveBuilder::SetSectionPlane ( NXOpen::Plane sectionPlane)

Sets the plane
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sectionPlanesection plane
void NXOpen::Features::SectionCurveBuilder::SetSpacingAlongCurveType ( NXOpen::Features::SectionCurveBuilder::SpacingType  spacingAlongCurve)

Sets the type of spacing.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
spacingAlongCurvespacing along curve
void NXOpen::Features::SectionCurveBuilder::SetStartAngle ( double  startAngle)

Sets the start angle
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startAnglestart angle
void NXOpen::Features::SectionCurveBuilder::SetStartDistance ( double  startDistance)

Sets the the start distance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startDistancestart distance
void NXOpen::Features::SectionCurveBuilder::SetStartPercentage ( double  startPercentage)

Sets the start percentage.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startPercentagestart percentage
void NXOpen::Features::SectionCurveBuilder::SetStepAngle ( double  stepAngle)

Sets the step angle
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
stepAnglestep angle
void NXOpen::Features::SectionCurveBuilder::SetStepDistance ( double  stepDistance)

Sets the step distance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
stepDistancestep distance
void NXOpen::Features::SectionCurveBuilder::SetTolerance ( double  tolerance)

Sets the tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
tolerancetolerance
void NXOpen::Features::SectionCurveBuilder::SetType ( NXOpen::Features::SectionCurveBuilder::PlaneType  type)

Sets the type of the section curve builder.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
NXOpen::Features::SectionCurveBuilder::SpacingType NXOpen::Features::SectionCurveBuilder::SpacingAlongCurveType ( )

Returns the type of spacing.


Created in NX5.0.0.

License requirements : None

double NXOpen::Features::SectionCurveBuilder::StartAngle ( )

Returns the start angle
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::StartDistance ( )

Returns the the start distance
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::StartPercentage ( )

Returns the start percentage.


Created in NX5.0.0.

License requirements : None

double NXOpen::Features::SectionCurveBuilder::StepAngle ( )

Returns the step angle
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::StepDistance ( )

Returns the step distance
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::SectionCurveBuilder::Tolerance ( )

Returns the tolerance
Created in NX5.0.0.



License requirements : None

NXOpen::Features::SectionCurveBuilder::PlaneType NXOpen::Features::SectionCurveBuilder::Type ( )

Returns the type of the section curve builder.


Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.